package com.ectrip.cyt.client.cyt.model.cytOrder.request;

import lombok.Data;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import java.util.ArrayList;
import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ApplyOrderRefundByUserRequestBody", propOrder = {"orderInfo"})
@Data
public class ApplyOrderRefundByUserRequestBody extends RequestBody {
    @XmlElement(required = true)
    protected OrderInfo orderInfo;

    public ApplyOrderRefundByUserRequestBody() {
		super();
		this.orderInfo = new OrderInfo();
	}

    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {"partnerorderId","partnerOrderId","orderId", "refundSeq", "orderPrice", "orderQuantity", "refundQuantity", "orderRefundPrice", "orderRefundCharge", "refundExplain", "visitPerson"})
    @Data
    public static class OrderInfo {
        public String getPartnerorderId() {
            return partnerorderId;
        }

        public void setPartnerorderId(String partnerorderId) {
            this.partnerorderId = partnerorderId;
        }

        public String getPartnerOrderId() {
            return partnerOrderId;
        }

        public void setPartnerOrderId(String partnerOrderId) {
            this.partnerOrderId = partnerOrderId;
        }

        @XmlElement(required = true)
        protected String partnerorderId;
        @XmlElement(required = true)
        protected String partnerOrderId;
        @XmlElement(required = true)
        protected String orderId;
        @XmlElement(required = true)
        protected String refundSeq;
        @XmlElement(required = true)
        protected String orderPrice;
        @XmlElement(required = true)
        protected String orderQuantity;
        @XmlElement(required = true)
        protected String refundQuantity;
        @XmlElement(required = true)
        protected String orderRefundPrice;
        @XmlElement(required = true)
        protected String orderRefundCharge;
        @XmlElement(required = true)
        protected String refundExplain;
        @XmlElement(required = true)
        protected VisitPerson visitPerson;

        public OrderInfo() {
			super();
			this.partnerorderId = "";
			this.partnerOrderId = "";
            this.orderId ="";
			this.refundSeq = "";
			this.orderPrice = "";
			this.orderQuantity = "";
			this.refundQuantity = "";
			this.orderRefundPrice = "";
			this.orderRefundCharge = "";
			this.refundExplain = "";
			this.visitPerson = new VisitPerson();
		}

        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {"person"})
        @Data
        public static class VisitPerson {
            protected List<Person> person;

            public VisitPerson() {
				super();
				this.person = new ArrayList<Person>();
			}

            @XmlAccessorType(XmlAccessType.FIELD)
            @XmlType(name = "", propOrder = {"name", "credentials", "credentialsType", "voucherCode"})
            @Data
            public static class Person {

                @XmlElement(required = true)
                protected String name;
                @XmlElement(required = true)
                protected String credentials;
                @XmlElement(required = true)
                protected String credentialsType;
                @XmlElement
                protected String voucherCode;
                
                public Person() {
					super();
					this.name = "";
					this.credentials = "";
					this.credentialsType = "";
					this.voucherCode="";
				}
            }
        }
    }
}
