package com.ectrip.cyt.client.cyt.model.cytOrder.request;

import lombok.Data;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import java.util.ArrayList;
import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CreateOrderRequestBody", propOrder = {"orderInfo"})
@Data
public class CreateOrderRequestBody extends RequestBody {
    @XmlElement(required = true)
    protected OrderInfo orderInfo;

    public CreateOrderRequestBody() {
		super();
		this.orderInfo = new OrderInfo();
	}

    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {"orderId", "product", "contactPerson", "visitPerson", "orderQuantity", "orderPrice", "orderStatus", "token"})
    @Data
    public static class OrderInfo {
        @XmlElement(required = true)
        protected String orderId;
        @XmlElement(required = true)
        protected Product product;
        @XmlElement(required = true)
        protected ContactPerson contactPerson;
        @XmlElement(required = true)
        protected VisitPerson visitPerson;
        @XmlElement(required = true)
        protected String orderQuantity;
        @XmlElement(required = true)
        protected String orderPrice;
        @XmlElement(required = true)
        protected String orderStatus;
        @XmlElement(required = true)
        protected String token;

        public OrderInfo() {
			super();
			this.orderId = "";
			this.product = new Product();
			this.contactPerson = new ContactPerson();
			this.visitPerson = new VisitPerson();
			this.orderQuantity = "";
			this.orderPrice = "";
			this.orderStatus = "";
            this.token = "";
		}

        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {"name", "mobile", "credentials", "credentialsType"})
        @Data
        public static class ContactPerson {
            @XmlElement(required = true)
            protected String name;
            @XmlElement(required = true)
            protected String mobile;
            @XmlElement(required = true)
            protected String credentials;
            @XmlElement(required = true)
            protected String credentialsType;

            public ContactPerson() {
                super();
                this.name = "";
                this.mobile = "";
                this.credentials = "";
                this.credentialsType = "";
            }
        }

        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {"resourceId", "timeOfBookId", "productName", "visitDate", "sellPrice"})
        @Data
        public static class Product {
            @XmlElement(required = true)
            protected String resourceId;
            @XmlElement(required = true)
            protected String timeOfBookId;
            @XmlElement(required = true)
            protected String productName;
            @XmlElement(required = true)
            protected String visitDate;
            @XmlElement(required = true)
            protected String sellPrice;

            public Product() {
				super();
				this.resourceId = "";
				this.timeOfBookId = "";
				this.productName = "";
				this.visitDate = "";
				this.sellPrice = "";
			}
        }

        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {"person"})
        @Data
        public static class VisitPerson {

            protected List<Person> person;

			public VisitPerson() {
				super();
				this.person = new ArrayList<Person>();
			}

            @XmlAccessorType(XmlAccessType.FIELD)
            @XmlType(name = "", propOrder = {"name", "credentials", "credentialsType", "mobile", "groupId"})
            @Data
            public static class Person {
                @XmlElement(required = true)
                protected String name;
                @XmlElement(required = true)
                protected String credentials;
                @XmlElement(required = true)
                protected String credentialsType;
                @XmlElement(required = false)
                protected String mobile;
                @XmlElement(required = false)
                protected String groupId;

                public Person() {
					super();
					this.name = "";
					this.credentials = "";
					this.credentialsType = "";
					this.mobile = "";
				}
            }
        }
    }
}
