package com.ectrip.cyt.client.cyt.model.cytOrder.request;

import lombok.Data;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import java.util.ArrayList;
import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "NoticeOrderConsumedRequestBody", propOrder = {"orderInfo"})
@Data
public class NoticeOrderConsumedRequestBody extends RequestBody {
    @XmlElement(required = true)
    protected OrderInfo orderInfo;

    public NoticeOrderConsumedRequestBody() {
		super();
		this.orderInfo = new OrderInfo();
	}

    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {"partnerorderId", "otaorderId", "orderQuantity", "useQuantity", "useTotalQuantity", "consumeInfo", "consumedSeq", "orderId", "vouchers"})
    @Data
    public static class OrderInfo {
        @XmlElement(required = true)
        protected String partnerorderId;
        @XmlElement(required = true)
        protected String otaorderId;
        @XmlElement(required = true)
        protected String orderQuantity;
        @XmlElement(required = true)
        protected String useQuantity;
        @XmlElement(required = true)
        protected String useTotalQuantity;
        @XmlElement(required = true)
        protected String consumeInfo;
        @XmlElement(required = true)
        protected String consumedSeq;
        @XmlElement(required = true)
        protected String consumedTime;
        @XmlElement(required = true)
        protected String orderId;
        @XmlElement(required = false)
        protected Vouchers vouchers;
        
        public OrderInfo() {
			super();
			this.partnerorderId = "";
            this.otaorderId="";
			this.orderQuantity = "";
			this.useQuantity = "";
			this.consumeInfo = "";
			this.consumedSeq="";
			this.consumedTime="";
			this.orderId="";
			this.useTotalQuantity="";
            this.vouchers=new Vouchers();
		}

        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "voucher", propOrder = {
                "voucher"
        })
        @Data
        public static class Vouchers{
            @XmlElement(required = false)
            protected List<Voucher> voucher;

            public Vouchers(){
                super();
                this.voucher = new ArrayList<Voucher>();
            }

            @XmlAccessorType(XmlAccessType.FIELD)
            @XmlType(name = "voucher", propOrder = {
                    "voucherCard",
                    "voucherCode",
                    "voucherCodeUrl",
            })
            @Data
            public static class Voucher{
                @XmlElement(required = false)
                protected String voucherCard;
                @XmlElement(required = false)
                protected String voucherCode;
                @XmlElement(required = false)
                protected String voucherCodeUrl;

                public Voucher(){
                    super();
                    this.voucherCard = "";
                    this.voucherCode = "";
                    this.voucherCodeUrl="";
                }
            }
        }
    }

}
