package com.ectrip.cyt.client.cyt.model.cytOrder.request;

import lombok.Data;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import java.util.ArrayList;
import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "NoticeOrderPrintSuccessRequestBody", propOrder = {"orderInfo"})
@Data
public class NoticeOrderPrintSuccessRequestBody extends RequestBody {
    public NoticeOrderPrintSuccessRequestBody() {
        super();
        this.orderInfo = new OrderInfo();
    }

    @XmlElement(required = true)
    protected OrderInfo orderInfo;


    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
            "partnerorderId",
            "orderStatus",
            "qrCodeStr",
            "qrCodeUrl",
            "verifyCode",
            "vouchers"
    })
    @Data
    public static class OrderInfo {

        @XmlElement(required = true)
        protected String partnerorderId;
        @XmlElement(required = true)
        protected String otaorderId;
        @XmlElement(required = true)
        protected String distributorOrderId;
        @XmlElement(required = true)
        protected String description;
        @XmlElement(required = true)
        protected String orderStatus;
        @XmlElement(required = false)
        protected String qrCodeStr;
        @XmlElement(required = false)
        protected String qrCodeUrl;
        @XmlElement(required = false)
        protected String onlyQrCodeUrl;
        @XmlElement(required = false)
        protected String verifyCode;
        @XmlElement(required = false)
        protected Vouchers vouchers;

        public OrderInfo() {
            super();
            this.partnerorderId = "";
            this.otaorderId = "";
            this.distributorOrderId = "";
            this.description = "";
            this.orderStatus = "";
            this.qrCodeStr = "";
            this.qrCodeUrl = "";
            this.onlyQrCodeUrl="";
            this.verifyCode = "";
            this.vouchers = new Vouchers();
        }

        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
                "voucher"
        })
        @Data
        public static class Vouchers{
            @XmlElement(required = false)
            protected List<Voucher> voucher;

            public Vouchers(){
                super();
                this.voucher = new ArrayList<Voucher>();
            }

            @XmlAccessorType(XmlAccessType.FIELD)
            @XmlType(name = "", propOrder = {
                    "voucherCard",
                    "voucherCode",
                    "voucherCodeUrl"
            })
            @Data
            public static class Voucher{
                @XmlElement(required = false)
                protected String voucherCard;
                @XmlElement(required = false)
                protected String voucherCode;
                @XmlElement(required = false)
                protected String voucherCodeUrl;

                public Voucher(){
                    super();
                    this.voucherCard = "";
                    this.voucherCode = "";
                    this.voucherCodeUrl = "";
                }
            }
        }
    }
}
