package com.ectrip.cyt.client.cyt.model.cytOrder.request;

import lombok.Data;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import java.util.ArrayList;
import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "NoticeOrderRefundApproveResultRequestBody", propOrder = {"orderInfo"})
@Data
public class NoticeOrderRefundApproveResultRequestBody extends RequestBody {
    @XmlElement(required = true)
    protected OrderInfo orderInfo;

    public NoticeOrderRefundApproveResultRequestBody() {
		super();
		this.orderInfo = new OrderInfo();
	}

    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
            "partnerorderId",
            "otaorderId",
            "refundSeq",
            "orderQuantity",
            "refundResult",
            "refundQuantity",
            "refundResult",
            "description",
            "orderRefundPrice",
            "orderRefundCharge"
    })
    @Data
    public static class OrderInfo {

        @XmlElement(required = true)
        protected String partnerorderId;
        @XmlElement(required = true)
        protected String otaorderId;
        @XmlElement(required = true)
        protected String refundSeq;
        @XmlElement(required = true)
        protected String orderQuantity;
        @XmlElement(required = true)
        protected String refundResult;
        @XmlElement(required = true)
        protected String description;
        @XmlElement(required = true)
        protected String refundQuantity;
        @XmlElement(required = true)
        protected String orderRefundPrice;
        @XmlElement(required = true)
        protected String orderRefundCharge;
        @XmlElement(required = true)
        protected Vouchers vouchers;
        
        public OrderInfo() {
			super();
			this.partnerorderId = "";
			this.otaorderId="";
			this.refundSeq = "";
			this.orderQuantity = "";
			this.refundResult = "";
			this.description = "";
			this.refundQuantity = "";
			this.orderRefundPrice = "";
			this.orderRefundCharge = "";
            this.vouchers = new Vouchers();
		}

        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "vouchers", propOrder = {
                "voucher"
        })
        @Data
        public static class Vouchers{
            @XmlElement(required = false)
            protected List<Voucher> voucher;

            public Vouchers(){
                super();
                this.voucher = new ArrayList<Voucher>();
            }

            @XmlAccessorType(XmlAccessType.FIELD)
            @XmlType(name = "voucher", propOrder = {
                    "voucherCard",
                    "voucherCode",
                    "voucherStatus",
                    "voucherCodeUrl",
            })
            @Data
            public static class Voucher{
                @XmlElement(required = false)
                protected String voucherCard;
                @XmlElement(required = false)
                protected String voucherCode;
                @XmlElement(required = false)
                protected String voucherStatus;
                @XmlElement(required = false)
                protected String voucherCodeUrl;

                public Voucher(){
                    super();
                    this.voucherCard = "";
                    this.voucherCode = "";
                    this.voucherStatus = "";
                    this.voucherCodeUrl="";
                }
            }
        }
    }
}
