package com.ectrip.cyt.client.cyt.model.cytOrder.request;

import lombok.Data;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "NoticeOrderRefundedByOTARequestBody", propOrder = {"orderInfo"})
@Data
public class NoticeOrderRefundedByOTARequestBody extends RequestBody {
    @XmlElement(required = true)
    protected OrderInfo orderInfo;

    public NoticeOrderRefundedByOTARequestBody() {
		super();
		this.orderInfo = new OrderInfo();
	}

    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {"partnerorderId", "refundSeq", "orderQuantity", "orderPrice", "refundQuantity", "orderRefundPrice", "orderRefundCharge", "refundExplain"})
    @Data
    public static class OrderInfo {
        @XmlElement(required = true)
        protected String partnerorderId;   //订单id
        @XmlElement(required = true) 
        protected String refundSeq;        //退订流水号
        @XmlElement(required = true) 
        protected String orderQuantity;    //订单数量
        @XmlElement(required = true)
        protected String orderPrice;       //订单金额
        @XmlElement(required = true)
        protected String refundQuantity;   //退订数量
        @XmlElement(required = true)
        protected String orderRefundPrice; //退订金额
        @XmlElement(required = true)
        protected String orderRefundCharge; // 退款手续费
        @XmlElement(required = true) 
        protected String refundExplain;     //退款说明
        
        public OrderInfo() {
			super();
			this.partnerorderId = "";
			this.refundSeq = "";
			this.orderQuantity = "";
			this.orderPrice = "";
			this.refundQuantity = "";
			this.orderRefundPrice = "";
			this.orderRefundCharge = "";
			this.refundExplain = "";
		}
    }
}
