package com.ectrip.cyt.client.cyt.model.cytOrder.request;

import lombok.Data;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PayOrderRequestBody", propOrder = {"orderInfo"})
@Data
public class PayOrderRequestBody extends RequestBody {

    @XmlElement(required = true)
    protected OrderInfo orderInfo;

    public PayOrderRequestBody() {
		super();
		this.orderInfo = new OrderInfo();
	}

    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {"partnerOrderId","otaOrderId","orderId","orderStatus","orderPrice"})
    @Data
    public static class OrderInfo {
        @XmlElement(required = true)
        protected String partnerOrderId;
        @XmlElement(required = true)
        protected String otaOrderId;
        @XmlElement(required = true)
        protected String orderId;
        @XmlElement(required = true)
        protected String orderStatus;
        @XmlElement(required = true)
        protected String orderPrice;
        
        public OrderInfo() {
			super();
			this.otaOrderId="";
			this.orderId="";
			this.partnerOrderId = "";
			this.orderStatus = "";
			this.orderPrice = "";
		}
    }
}
