package com.ectrip.cyt.client.cyt.model.cytOrder.request;

import lombok.Data;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import java.util.ArrayList;
import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PostFaceInfoRequestBody", propOrder = {"orderId","serialNumber","faceInfos"})
@Data
public class PostFaceInfoRequestBody extends RequestBody {
    /** 订单id */
    @XmlElement(required = true)
    protected String orderId;

    /** 流水号 */
    @XmlElement(required = true)
    protected String serialNumber;

    /** 人脸信息 */
    @XmlElement(required = true)
    protected FaceInfos faceInfos;

    public PostFaceInfoRequestBody(){
        super();
        this.orderId = "";
        this.serialNumber = "";
        this.faceInfos = new FaceInfos();
    }

    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {"faceInfo"})
    @Data
    public static class FaceInfos{
        protected List<FaceInfo> faceInfo;

        public FaceInfos(){
            super();
            this.faceInfo = new ArrayList<FaceInfo>();
        }

        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {"credentials", "url"})
        @Data
        public static class FaceInfo {
            /** 游客身份证credentials */
            @XmlElement(required = true)
            protected String credentials;

            /** 人脸图片地址url */
            @XmlElement(required = true)
            protected String url;

            public FaceInfo() {
                super();
                this.credentials = "";
                this.url = "";
            }
        }
    }
}
