package com.ectrip.cyt.client.cyt.model.cytOrder.request;

import lombok.Data;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import java.util.ArrayList;
import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PushOrderRequestBody", propOrder = {"orderInfo"})
@Data
public class PushOrderRequestBody extends RequestBody {
    @XmlElement(required = true)
    protected OrderInfo orderInfo;

    public PushOrderRequestBody() {
		super();
		this.orderInfo = new OrderInfo();
	}

    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {"partnerOrderId", "contactPerson", "visitPerson","visitDate"})
    @Data
    public static class OrderInfo {
        @XmlElement(required = true)
        protected String partnerOrderId;
        @XmlElement(required = true)
        protected ContactPerson contactPerson;
        @XmlElement(required = true)
        protected VisitPerson visitPerson;
        @XmlElement(required = true)
        protected String visitDate;

		public OrderInfo() {
			super();
			this.partnerOrderId = "";
			this.contactPerson = new ContactPerson();
			this.visitPerson = new VisitPerson();
			this.visitDate = "";
		}

        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {"name", "mobile", "credentials", "credentialsType"})
        @Data
        public static class ContactPerson {
            @XmlElement(required = true)
            protected String name;
            @XmlElement(required = true)
            protected String mobile;
            @XmlElement(required = true)
            protected String credentials;
            @XmlElement(required = true)
            protected String credentialsType;

            public ContactPerson() {
				super();
				this.name = "";
				this.mobile = "";
				this.credentials = "";
				this.credentialsType = "";
			}
        }

        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {"person"})
        @Data
        public static class VisitPerson {
            protected List<Person> person;

			public VisitPerson() {
				super();
				this.person = new ArrayList<Person>();
			}

            @XmlAccessorType(XmlAccessType.FIELD)
            @XmlType(name = "", propOrder = {"name", "credentials", "credentialsType"})
            @Data
            public static class Person {
                @XmlElement(required = true)
                protected String name;
                @XmlElement(required = true)
                protected String credentials;
                @XmlElement(required = true)
                protected String credentialsType;
                
                public Person() {
					super();
					this.name = "";
					this.credentials = "";
					this.credentialsType = "";
				}
            }
        }
    }
}
