package com.ectrip.cyt.client.cyt.model.cytOrder.request;

import lombok.Data;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RequestHeader", propOrder = {"application", "processor", "version", "bodyType", "createUser", "createTime", "supplierIdentity"})
@Data
public class RequestHeader {
    @XmlElement(required = true, defaultValue = "tour.ectrip.com")
    protected String application;
    @XmlElement(required = true, defaultValue = "DataExchangeProcessor")
    protected String processor;
    @XmlElement(required = true)
    protected String version;
    @XmlElement(required = true)
    protected String bodyType;
    @XmlElement(required = true)
    protected String createUser;
    @XmlElement(required = true)
    protected String createTime;
    @XmlElement(required = true)
    protected String supplierIdentity;
    
    public RequestHeader() {
		super();
		this.application = "";
		this.processor = "";
		this.version = "";
		this.bodyType = "";
		this.createUser = "";
		this.createTime = "";
		this.supplierIdentity = "";
	}
    
	public RequestHeader(String application, String processor, String version, String bodyType, String createUser, String createTime, String supplierIdentity) {
		super();
		this.application = application;
		this.processor = processor;
		this.version = version;
		this.bodyType = bodyType;
		this.createUser = createUser;
		this.createTime = createTime;
		this.supplierIdentity = supplierIdentity;
	}
}
