package com.ectrip.cyt.client.cyt.model.cytOrder.response;

import lombok.Data;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import java.util.ArrayList;
import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "GetOrderByOTAResponseBody", propOrder = {"orderInfo"})
@Data
public class GetOrderByOTAResponseBody extends ResponseBody {
    @XmlElement(required = true)
    protected OrderInfo orderInfo;
    
    public GetOrderByOTAResponseBody() {
		super();
		this.orderInfo = new OrderInfo();
	}

    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {"partnerorderId","partnerOrderId","otaOrderId", "orderStatus","orderMsg","totalQuantity", "orderQuantity", "eticketNo", "eticketSended", "useQuantity","refundQuantity", "consumeInfo", "vouchers","qrCodeStr","qrCodeUrl","onlyQrCodeUrl","otherQRCode"})
    @Data
    public static class OrderInfo {
        public String getPartnerorderId() {
            return partnerorderId;
        }

        public void setPartnerorderId(String partnerorderId) {
            this.partnerorderId = partnerorderId;
        }

        public String getPartnerOrderId() {
            return partnerOrderId;
        }

        public void setPartnerOrderId(String partnerOrderId) {
            this.partnerOrderId = partnerOrderId;
        }

        @XmlElement(required = true)
        protected String partnerorderId;
        @XmlElement(required = true)
        protected String partnerOrderId;
        @XmlElement(required = true)
        protected String otaOrderId;
        @XmlElement(required = true)
        protected String orderStatus;
        @XmlElement(required = true)
        protected String orderMsg;
        @XmlElement(required = true)
        protected String totalQuantity;
        @XmlElement(required = true)
        protected String orderQuantity;
        @XmlElement(required = true)
        protected String eticketNo;
        @XmlElement(required = true)
        protected String eticketSended;
        @XmlElement(required = true)
        protected String useQuantity;
        @XmlElement(required = true)
        protected String refundQuantity;
        @XmlElement(required = true)
        protected String consumeInfo;
        @XmlElement(required = false)
        protected Vouchers vouchers;
        @XmlElement(required = false)
        protected String qrCodeStr;
        @XmlElement(required = false)
        protected String qrCodeUrl;
        @XmlElement(required = false)
        protected String onlyQrCodeUrl;
        @XmlElement(required = false)
        protected String otherQRCode;//第三方取票码
        
        public OrderInfo() {
			super();
			this.partnerorderId = "";
			this.partnerOrderId = "";
			this.otaOrderId = "";
			this.orderStatus = "";
			this.orderMsg = "";
			this.totalQuantity="";
			this.orderQuantity = "";
			this.eticketNo = "";
			this.eticketSended = "";
			this.useQuantity = "";
			this.refundQuantity="";
			this.consumeInfo = "";
            this.qrCodeStr = "";
            this.qrCodeUrl = "";
            this.onlyQrCodeUrl="";
			this.otherQRCode = "";
			this.vouchers= new Vouchers();
		}

        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {"voucher"})
        @Data
        public static class Vouchers{
            @XmlElement(required = false)
            protected List<Voucher> voucher;

            public Vouchers(){
                super();
                this.voucher = new ArrayList<Voucher>();
            }

            @XmlAccessorType(XmlAccessType.FIELD)
            @XmlType(name = "", propOrder = {"voucherCard", "voucherCode", "voucherCodeUrl"})
            @Data
            public static class Voucher{
                @XmlElement(required = false)
                protected String voucherCard;
                @XmlElement(required = false)
                protected String voucherCode;
                @XmlElement(required = false)
                protected String voucherCodeUrl;

                public Voucher(){
                    super();
                    this.voucherCard = "";
                    this.voucherCode = "";
                    this.voucherCodeUrl = "";
                }
            }
        }
    }
}
