package com.ectrip.cyt.client.cyt.model.cytOrder.response;

import lombok.Data;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import java.util.ArrayList;
import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "GetProductByOTAResponseBody", propOrder = {"count", "productInfos"})
@Data
public class GetProductByOTAResponseBody extends ResponseBody {
    @XmlElement(required = true)
    protected String count;
    @XmlElement(required = true)
    protected ProductInfos productInfos;

    public GetProductByOTAResponseBody() {
		super();
		this.count = "";
		this.productInfos = new ProductInfos();
	}

    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {"productInfo"})
    @Data
    public static class ProductInfos {
        protected List<ProductInfo> productInfo;

		public ProductInfos() {
			super();
			this.productInfo = new ArrayList<ProductInfo>();
		}

        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {"timeOfBooks", "baseInfo", "bookConfig", "priceConfig", "productDescription", "otherConfig"})
        @Data
        public static class ProductInfo {
            @XmlElement(required = true)
            protected TimeOfBooks timeOfBooks;
            @XmlElement(required = true)
            protected BaseInfo baseInfo;
            @XmlElement(required = true)
            protected BookConfig bookConfig;
            @XmlElement(required = true)
            protected PriceConfig priceConfig;
            @XmlElement(required = true)
            protected ProductDescription productDescription;
            @XmlElement(required = true)
            protected OtherConfig otherConfig;

            public ProductInfo() {
				super();
				this.baseInfo = new BaseInfo();
				this.timeOfBooks = new TimeOfBooks();
				this.bookConfig = new BookConfig();
				this.priceConfig = new PriceConfig();
				this.productDescription = new ProductDescription();
				this.otherConfig = new OtherConfig();
			}

            @XmlAccessorType(XmlAccessType.FIELD)
            @XmlType(name = "", propOrder = {"timeOfBook"})
            @Data
            public static class TimeOfBooks {
                @XmlElement(required = true)
                protected List<TimeOfBook> timeOfBook;

                public TimeOfBooks() {
                    super();
                    this.timeOfBook = new ArrayList<TimeOfBook>();
                }

                @XmlAccessorType(XmlAccessType.FIELD)
                @XmlType(name = "", propOrder = {"id", "startTime", "endTime", "price", "stock"})
                @Data
                public static class TimeOfBook {
                    @XmlElement(required = true)
                    protected String id;
                    @XmlElement(required = true)
                    protected String startTime;
                    @XmlElement(required = true)
                    protected String endTime;
                    @XmlElement(required = true)
                    protected String price;
                    @XmlElement(required = true)
                    protected String stock;

                    public TimeOfBook() {
                        super();
                        this.id = "";
                        this.startTime = "";
                        this.endTime = "";
                        this.price = "";
                        this.stock = "";
                    }
                }
            }



            @XmlAccessorType(XmlAccessType.FIELD)
            @XmlType(name = "", propOrder = {"resourceId", "productType", "sights", "productName"})
            @Data
            public static class BaseInfo {
                @XmlElement(required = true)
                protected String resourceId;
                @XmlElement(required = true)
                protected String productType;
                @XmlElement(required = true)
                protected Sights sights;
                @XmlElement(required = true)
                protected String productName;

                public BaseInfo() {
					super();
					this.resourceId = "";
					this.productType = "";
					this.sights = new Sights();
					this.productName = "";
				}

                @XmlAccessorType(XmlAccessType.FIELD)
                @XmlType(name = "", propOrder = {"sight"})
                @Data
                public static class Sights {
                    @XmlElement(required = true)
                    protected List<Sight> sight;

					public Sights() {
						super();
						this.sight = new ArrayList<Sight>();
					}

                    @XmlAccessorType(XmlAccessType.FIELD)
                    @XmlType(name = "", propOrder = {"sightName", "city"})
                    @Data
                    public static class Sight {
                        @XmlElement(required = true)
                        protected String sightName;
                        @XmlElement(required = true)
                        protected String city;

                        public Sight() {
							super();
							this.sightName = "";
							this.city = "";
						}
                    }
                }
            }

            @XmlAccessorType(XmlAccessType.FIELD)
            @XmlType(name = "", propOrder = {"paymentType", "advanceOption", "autoCancelTime", "bookPersonType", "visitPersonRequiredForQuantity"})
            @Data
            public static class BookConfig {
                @XmlElement(required = true)
                protected String paymentType;
                @XmlElement(required = true)
                protected AdvanceOption advanceOption;
                @XmlElement(required = true)
                protected String autoCancelTime;
                @XmlElement(required = true)
                protected String bookPersonType;
                @XmlElement(required = true)
                protected String visitPersonRequiredForQuantity;

                public BookConfig() {
					super();
					this.paymentType = "";
					this.advanceOption = new AdvanceOption();
					this.autoCancelTime = "";
					this.bookPersonType = "";
					this.visitPersonRequiredForQuantity = "";
				}

                @XmlAccessorType(XmlAccessType.FIELD)
                @XmlType(name = "", propOrder = {"bookAdvanceDay", "bookAdvanceTime", "useAdvanceHour"})
                @Data
                public static class AdvanceOption {
                    @XmlElement(required = true, defaultValue = "0")
                    protected String bookAdvanceDay;
                    @XmlElement(required = true)
                    protected String bookAdvanceTime;
                    @XmlElement(required = true)
                    protected String useAdvanceHour;
                    
                    public AdvanceOption() {
						super();
						this.bookAdvanceDay = "";
						this.bookAdvanceTime = "";
						this.useAdvanceHour = "";
					}
                }
            }

            @XmlAccessorType(XmlAccessType.FIELD)
            @XmlType(name = "", propOrder = {"smsTemplet", "eticketType"})
            @Data
            public static class OtherConfig {
                @XmlElement(required = true)
                protected String smsTemplet;
                @XmlElement(required = true)
                protected String eticketType;
                
                public OtherConfig() {
					super();
					this.smsTemplet = "";
					this.eticketType = "";
				}
            }

            @XmlAccessorType(XmlAccessType.FIELD)
            @XmlType(name = "", propOrder = {"validType", "daysAfterUseDateValid", "calendarPrices"})
            @Data
            public static class PriceConfig {
                @XmlElement(required = true)
                protected String validType;
                @XmlElement(required = true)
                protected String daysAfterUseDateValid;
                @XmlElement(required = true)
                protected CalendarPrices calendarPrices;
                
                public PriceConfig() {
					super();
					this.validType = "";
					this.daysAfterUseDateValid = "";
					this.calendarPrices = new CalendarPrices();
				}

                @XmlAccessorType(XmlAccessType.FIELD)
                @XmlType(name = "", propOrder = {"calendarPrice"})
                @Data
                public static class CalendarPrices {
                    @XmlElement(required = true)
                    protected List<CalendarPrice> calendarPrice;
                    
					public CalendarPrices() {
						super();
						this.calendarPrice = new ArrayList<CalendarPrice>();
					}

                    @XmlAccessorType(XmlAccessType.FIELD)
                    @XmlType(name = "", propOrder = {"useDate", "marketPrice", "sellPrice", "sellstock"})
                    @Data
                    public static class CalendarPrice {
                        @XmlElement(required = true)
                        protected String useDate;
                        @XmlElement(required = true)
                        protected String marketPrice;
                        @XmlElement(required = true)
                        protected String sellPrice;
                        @XmlElement(required = true)
                        protected String sellstock;
                        
                        public CalendarPrice() {
							super();
							this.useDate = "";
							this.marketPrice = "";
							this.sellPrice = "";
							this.sellstock = "";
						}
                    }
                }
            }

            @XmlAccessorType(XmlAccessType.FIELD)
            @XmlType(name = "", propOrder = {"remind", "refundOption"})
            @Data
            public static class ProductDescription {
                @XmlElement(required = true)
                protected String remind;
                @XmlElement(required = true)
                protected RefundOption refundOption;
                
                public ProductDescription() {
					super();
					this.remind = "";
					this.refundOption = new RefundOption();
				}

                @XmlAccessorType(XmlAccessType.FIELD)
                @XmlType(name = "", propOrder = {"canRefund","canOverdueRefund", "refundApplyTimeBeforeValidEndDay", "refundCharge", "refundChargeType", "refundInfo"})
                @Data
                public static class RefundOption {
                    @XmlElement(required = true)
                    protected String canRefund;
                    @XmlElement(required = true)
                    protected String canOverdueRefund;
					@XmlElement(required = true)
                    protected String refundApplyTimeBeforeValidEndDay;
                    @XmlElement(required = true)
                    protected String refundCharge;
                    @XmlElement(required = true)
                    protected String refundChargeType;
                    @XmlElement(required = true)
                    protected String refundInfo;
                    
                    public RefundOption() {
						super();
						this.canRefund = "";
						this.canOverdueRefund = "";
						this.refundApplyTimeBeforeValidEndDay = "";
						this.refundCharge = "";
						this.refundChargeType = "";
						this.refundInfo = "";
					}
                }
            }
        }
    }
}
