package com.ectrip.cyt.client.cyt.model.cytOrder.response;

import lombok.Data;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import java.util.ArrayList;
import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PayOrderResponseBody", propOrder = {"orderInfo"})
@Data
public class PayOrderResponseBody extends ResponseBody {
    @XmlElement(required = true)
    protected OrderInfo orderInfo;
    
    public PayOrderResponseBody() {
		super();
		this.orderInfo = new OrderInfo();
	}

    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {"partnerorderId", "partnerOrderId", "otaOrderId", "orderStatus", "qrCodeStr", "qrCodeUrl","onlyQrCodeUrl", "verifyCode", "vouchers"})
    @Data
    public static class OrderInfo {
        public String getPartnerorderId() {
            return partnerorderId;
        }

        public void setPartnerorderId(String partnerorderId) {
            this.partnerorderId = partnerorderId;
        }

        public String getPartnerOrderId() {
            return partnerOrderId;
        }

        public void setPartnerOrderId(String partnerOrderId) {
            this.partnerOrderId = partnerOrderId;
        }

        @XmlElement(required = true)
        protected String partnerorderId;
        @XmlElement(required = true)
        protected String partnerOrderId;
        @XmlElement(required = true)
        protected String otaOrderId;
        @XmlElement(required = true)
        protected String orderStatus;
        @XmlElement(required = false)
        protected String qrCodeStr;
        @XmlElement(required = false)
        protected String qrCodeUrl;
        @XmlElement(required = false)
        protected String onlyQrCodeUrl;
        @XmlElement(required = false)
        protected String verifyCode;
        @XmlElement(required = false)
        protected Vouchers vouchers;
        
        public OrderInfo() {
			super();
			this.partnerorderId = "";
			this.partnerOrderId = "";
            this.otaOrderId="";
			this.orderStatus = "";
            this.qrCodeStr = "";
            this.qrCodeUrl = "";
            this.onlyQrCodeUrl="";
            this.verifyCode = "";
            this.vouchers = new Vouchers();
		}

        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {"voucher"})
        @Data
        public static class Vouchers{
            @XmlElement(required = false)
            protected List<Voucher> voucher;

            public Vouchers(){
                super();
                this.voucher = new ArrayList<Voucher>();
            }

            @XmlAccessorType(XmlAccessType.FIELD)
            @XmlType(name = "", propOrder = {"voucherCard", "voucherCode", "voucherCodeUrl"})
            @Data
            public static class Voucher{
                @XmlElement(required = false)
                protected String voucherCard;
                @XmlElement(required = false)
                protected String voucherCode;
                @XmlElement(required = false)
                protected String voucherCodeUrl;

                public Voucher(){
                    super();
                    this.voucherCard = "";
                    this.voucherCode = "";
                    this.voucherCodeUrl = "";
                }
            }
        }
    }
}
