package com.ectrip.cyt.model.enums;

public enum ApiMethodType {
    HEART_BEAT("heartBeat","同步订单"),
    get_Balance("getBalance","获取余额"),
    PUSH_ORDER("pushOrder","同步订单"),
    CHECK_ORDER("checkOrder","下单前校验"),
    GET_ORDER_BY_OTA("getOrderByOTA","查询订单信息"),
    APPLY_ORDER_REFUND_BY_USER( "applyOrderRefundByUser","申请退订"),
    CREATE_ORDER ("createOrder","创建订单"),
    CREATE_PAY_ORDER ("createPaymentOrder","创建订单"),
    PAY_ORDER ("payOrder","支付订单"),
    CANCEL_ORDER ("cancelOrder","取消订单"),
    GET_PRODUCT_BY_OTA("getProductByOTA","获取产品"),
    GET_AVAILABLE_PRODUCT("getAvailableProduct","获取POI"),
    GET_STOCK_PRODUCT_INFO("getStockProductInfo","获取库存"),
    GET_SEAT_INFO("getSeatInfo","获取库存"),
    SEND_ORDER_ETICKET("sendOrderEticket","重发短信");

    /**
     * 类型
     */
    private String type;

    /**
     * 名称
     */
    private String name;

    /**
     * 构造函数，枚举类型构造函数只能私有
     */
    ApiMethodType(String type, String name) {
        this.type = type;
        this.name = name;
    }

    public String getType() {
        return this.type;
    }

    public String getName() {
        return this.name;
    }

    /**
     * 根据类型获取枚举对象
     *
     * @param type 枚举类型值
     * @return 枚举对象
     */
    public static ApiMethodType typeOf(String type) {
        for(ApiMethodType apiMethodType : values()) {
            if(apiMethodType.getType().equals(type)) {
                return apiMethodType;
            }
        }
        throw new IllegalArgumentException("Invalid ApiMethodType type: " + type);
    }
}
