package com.ectrip.cyt.model.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.validator.constraints.Range;

import javax.validation.constraints.NotBlank;

@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(description = "用户信息")
public class AccountParam {
    @NotBlank(message = "加密算法必填")
    @ApiModelProperty(value = "OTA接口加密算法：0:MD5 1:AES/CBC 2:SM4/CBC", required = false)
    private String securityType;

    //分销商名称
    @NotBlank(message = "分销商名不能为空")
    @ApiModelProperty(value = "分销商名", required = true)
    private String distributorName;

    //分销商密钥
    @NotBlank(message = "分销商密钥不能为空")
    @ApiModelProperty(value = "分销商密钥", required = true)
    private String key;

    //供应商标识
    @ApiModelProperty(value = "供应商标识", required = false)
    private String identity;

    @NotBlank(message = "平台接口地址不能为空")
    @ApiModelProperty(value = "平台接口地址", required = true)
    private String url;

    //接口地址
    //@Range(min=0,max=2,message ="对接平台范围不在[0,2]內")
    /*@ApiModelProperty(value = "对接平台 {" +
            "0:tour.12301cn.cn(整合营销测试版)," +
            "1:jy.12301cn.cn(整合营销公共版)," +
            "2:www.12301cn.cn(整合营销独立版)" +
            "3:59.59.7.54:8081(瘦西湖)" +
            "4:cyt.51yzly.com(土楼)" +
            "10:cyt.jingqu.cn/tdos(整合营销3.0)" +
            "11:w.qdocti.com/tdos(青岛3.0)" +
            "99:本地环境(8038端口)" +
            "}", required = true)
    private Integer platfrom_sign;*/
}
