package com.ectrip.cyt.model.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;

@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(description = "获取库存参数")
public class GetStockParam {
    @ApiModelProperty(value = "开始日期", required = false)
    private String startDate;
    @ApiModelProperty(value = "截至日期", required = false)
    private String endDate;
    @NotBlank(message = "资源ID不能为空")
    @ApiModelProperty(value = "资源ID", required = false)
    private String resourceId;
}
