package com.ectrip.cyt.model.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.Min;

import javax.validation.constraints.NotBlank;

@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(description = "支付订单参数")
public class PayOrderParam {
    @ApiModelProperty(value = "畅游通订单号", required = true)
    private String cytOrderCode;

    @ApiModelProperty(value = "OTA订单号", required = true)
    private String otaOrderCode;

    //金额
    @Min(value = 0,message = "支付金额必须大于或等于0")
    @ApiModelProperty(value = "支付金额", required = true)
    private Double orderPrice;
}
