package com.ectrip.cyt.model.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(description = "产品信息")
public class ProductParam {
    @NotBlank(message = "产品编号不能为空")
    @ApiModelProperty(value = "产品编号", required = true)
    private String productNo;

    @Min(value = 0,message = "产品结算价必须大于或等于0")
    @ApiModelProperty(value = "产品结算价", required = true)
    private Double sellPrice;

    @ApiModelProperty(value = "分时ID", required = true)
    private Integer timeOfBookId;

    @ApiModelProperty(value = "座位集合", required = true)
    private String seatIds;
}
