package com.ectrip.cyt.model.param;

import com.ectrip.cyt.model.pojo.EditPerson;
import com.ectrip.cyt.model.pojo.Person;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;
import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(description = "改签订单参数")
public class PushOrderParam {
    @NotBlank(message = "畅游通订单号不能为空")
    @ApiModelProperty(value = "畅游通订单号", required = true)
    private String cytOrderCode;

    @NotBlank(message = "改签日期不能为空")
    @Pattern(regexp = "(([0-9]{3}[1-9]|[0-9]{2}[1-9][0-9]{1}|[0-9]{1}[1-9][0-9]{2}|[1-9][0-9]{3})-(((0[13578]|1[02])-(0[1-9]|[12][0-9]|3[01]))|((0[469]|11)-(0[1-9]|[12][0-9]|30))|(02-(0[1-9]|[1][0-9]|2[0-8]))))|((([0-9]{2})(0[48]|[2468][048]|[13579][26])|((0[48]|[2468][048]|[3579][26])00))-02-29)",message = "改签日期格式不对")
    @ApiModelProperty(value = "改签日期", required = true)
    private String visitDate;

    @ApiModelProperty(value = "改签联系人信息", required = false)
    //联系人
    private Person contactPerson;

    @ApiModelProperty(value = "改签游客信息", required = false)
    //游客信息
    private List<EditPerson> visitPersons;
}
