package com.ectrip.cyt.model.param;

import com.ectrip.cyt.model.pojo.Person;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(description = "退订订单参数")
public class RefundOrderParam {
    @NotBlank(message = "畅游通订单号不能为空")
    @ApiModelProperty(value = "畅游通订单号", required = true)
    private String cytOrderCode;

    @NotBlank(message = "退订流水号不能为空")
    @ApiModelProperty(value = "退订流水号", required = true)
    private String refundSeq;

    @Min(value = 0,message = "退订金额必须大于或等于0")
    @ApiModelProperty(value = "退订金额", required = true)
    private Double refundMoney;

    @Min(value = 1,message = "退订数量必须大于或等于1")
    @ApiModelProperty(value = "退订数量", required = true)
    private Integer refundQuantity;

    @ApiModelProperty(value = "退订游客信息", required = false)
    private List<Person> visitPersons;

    @ApiModelProperty(value = "退订原因", required = false)
    private String refundReason;
}
