package com.ectrip.cyt.model.pojo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(description = "联系人/游客信息")
public class Person implements Serializable {
    /** 游客姓名 */
    @ApiModelProperty(value = "游客姓名", required = false)
    private String name;

    /** 游客电话 */
    @ApiModelProperty(value = "游客电话 ", required = false)
    private String phone;

    /** 游客证件类型 */
    @ApiModelProperty(value = "游客证件类型(0身份证,1护照,2军官证,3台胞证,4港澳通行证,5其它,6皈依证,7学生证)", required = false)
    private Integer credentialsType;

    /** 游客证件号码 */
    @ApiModelProperty(value = "游客证件号码", required = false)
    private String credentials;

    @ApiModelProperty(value = "票码", required = false)
    private String voucher;
}
