package com.ectrip.cyt.model.rt;

import com.alibaba.fastjson.JSONObject;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class CommonReturn {
    //请求参数XML
    @ApiModelProperty(value = "请求参数XML", required = true)
    private String requestXml;
    //返回参数XML
    @ApiModelProperty(value = "返回参数XML", required = true)
    private String responseXml;
    //最外层返回参数
    @ApiModelProperty(value = "返回参数json", required = true)
    private JSONObject requestJson;
    //最外层请求参数
    @ApiModelProperty(value = "请求参数json", required = true)
    private JSONObject responseJson;
    //请求时间
    @ApiModelProperty(value = "请求时间", required = true)
    private String requestTime;
    //返回时间
    @ApiModelProperty(value = "返回时间", required = true)
    private String responseTime;
    //接口类型
    @ApiModelProperty(value = "接口类型", required = true)
    private String interfaceType;
    //接口方法
    @ApiModelProperty(value = "接口方法", required = true)
    private String interfaceMethod;
    //描述
    @ApiModelProperty(value = "接口描述", required = true)
    private String description;
    //是否下单成功
    @ApiModelProperty(value = "接口交互结果", required = true)
    private Boolean apiStatus;
    //畅游通单号
    private String cytOrderCode;
}