package com.ectrip.cyt.utils;

/**
 * PMS订单状态工具
 * @author wenqiang.luo date:15-9-30
 */
public class OrderStatusUtils {

    /**
     * 私有构造方法
     */
    private OrderStatusUtils() {

    }

    /**
     * 预付：初始订单
     */
    public static final String PREPAY_ORDER_INIT = "PREPAY_ORDER_INIT";
    /**
     * 预付：预付失败
     */
    public static final String PREPAY_ORDER_BOOK_FAILED = "PREPAY_ORDER_BOOK_FAILED";
    /**
     * 预付成功：待支付
     */
    public static final String PREPAY_ORDER_NOT_PAYED = "PREPAY_ORDER_NOT_PAYED";
    /**
     * 预付：订单已取消
     */
    public static final String PREPAY_ORDER_CANCEL = "PREPAY_ORDER_CANCEL";
    /**
     * 预付：已付款，出票中
     */
    public static final String PREPAY_ORDER_PRINTING = "PREPAY_ORDER_PRINTING";
    /**
     * 预付：出票失败
     */
    public static final String PREPAY_ORDER_PRINT_FAILED = "PREPAY_ORDER_PRINT_FAILED";
    /**
     * 预付：出票成功
     */
    public static final String PREPAY_ORDER_PRINT_SUCCESS = "PREPAY_ORDER_PRINT_SUCCESS";

    /**
     * 预付：退订失败
     */
    public static final String PREPAY_ORDER_REFUNDFAIL = "PREPAY_ORDER_REFUNDFAIL";
    /**
     * 预付：已退订
     */
    public static final String PREPAY_ORDER_REFUNDED = "PREPAY_ORDER_REFUNDED";
    /**
     * 预付：已消费
     */
    public static final String PREPAY_ORDER_CONSUMED = "PREPAY_ORDER_CONSUMED";
    /**
     * 现付：初始订单
     */
    public static final String CASHPAY_ORDER_INIT = "CASHPAY_ORDER_INIT";
    /**
     * 现付：出票失败
     */
    public static final String CASHPAY_ORDER_PRINT_FAILED = "CASHPAY_ORDER_PRINT_FAILED";
    /**
     * 现付：出票成功
     */
    public static final String CASHPAY_ORDER_PRINT_SUCCESS = "CASHPAY_ORDER_PRINT_SUCCESS";
    /**
     * 现付：已退订
     */
    public static final String CASHPAY_ORDER_REFUNDED = "CASHPAY_ORDER_REFUNDED";
    /**
     * 现付：已消费
     */
    public static final String CASHPAY_ORDER_CONSUMED = "CASHPAY_ORDER_CONSUMED";

}
