package com.ectrip.cyt.utils;

import com.ectrip.cyt.model.enums.CredentialsType;
import com.ectrip.cyt.model.enums.OrderStatusType;

import java.util.HashMap;
import java.util.Map;

/**
 * @author wenqiang.luo date:15-10-6
 */
public class OtaUtils {

    /**
     * 私有构造方法
     */
    private OtaUtils() {

    }

    public static final String ENCODE_UTF8 = "UTF-8";

    //
    public static final String VERSION2 = "2.0.0";
    public static final String VERSION3 = "3.0.0";

    //交互代码
    public static final String SUCCESS_CODE = "1000";/** 交互成功标识 */

    public static final String SUCCESS_DESCRIPTION = "SUCCESS";/** 交互成功描述 */

    //加密算法
    public static final String SECURITY_MD5 = "MD5";
    public static final String SECURITY_AES_CBC = "AES/CBC";
    public static final String SECURITY_SM4_CBC = "SM4/CBC";

    public static final String JSON_DATA = "data";
    public static final String JSON_SIGNED = "signed";
    public static final String JSON_IV = "iv";
    public static final String JSON_CREATEUSER = "createUser";
    public static final String JSON_SECURITY_TYPE = "securityType";
    public static final String REQUEST_XML = "requestXml";
    public static final String RESPONSE_XML = "responseXml";
    public static final String REQUEST_JSON_OBJECT = "requestJsonObject";
    public static final String RESPONSE_JSON_OBJECT = "responseJsonObject";
    public static final String KEY = "key";
    public static final String SECURITY_TYPE = "securityType";
    public static final String DISTRIBUTOR_NAME = "distributorName";
    public static final String SUPPLIER_IDENTITY = "supplierIdentity";
    public static final String ECTRIP = "ectrip";
    public static final String DOM_HEADER = "header";
    public static final String DOM_BODY = "body";

    //接口方法
    public final static String HEART_BEAT = "heartBeat";
    public static final String GET_BALANCE = "getBalance";
    public final static String PUSH_ORDER = "pushOrder";
    public final static String CHECK_ORDER = "checkOrder";
    public final static String GET_ORDER_BY_OTA = "getOrderByOTA";
    public final static String APPLY_ORDER_REFUND_BY_USER = "applyOrderRefundByUser";
    public final static String CREATE_ORDER ="createOrder";
    public final static String CREATE_PAY_ORDER ="createPaymentOrder";
    public final static String PAY_ORDER ="payOrder";
    public final static String CANCEL_ORDER ="cancelOrder";
    public final static String GET_PRODUCT_BY_OTA="getProductByOTA";
    public final static String GET_AVAILABLE_PRODUCT="getAvailableProduct";
    public static final String GET_STOCK_PRODUCT_INFO = "getStockProductInfo";
    public static final String GET_SEAT_INFO = "getSeatInfo";
    public static final String SEND_ORDER_ETICKET = "sendOrderEticket";

    /**
     * 订单状态映射
     */
    public static Map<OrderStatusType, String> prepayOrderStatusTypeStringMap = new HashMap<OrderStatusType, String>() {
        {
            /** 未付款 */
            put(OrderStatusType.ORDER_NOT_PAYED_YET, "PREPAY_ORDER_INIT");

            /** 已取消 */
            put(OrderStatusType.ORDER_CANCELED, "PREPAY_ORDER_CANCEL");

            /** 预订成功 */
            put(OrderStatusType.ORDER_RESERVE_SUCCESSFUL, "PREPAY_ORDER_PRINTING");

            /** 预订失败 */
            put(OrderStatusType.ORDER_RESERVE_FAILED, "PREPAY_ORDER_PRINT_FAILED");

            /** 已消费 */
            put(OrderStatusType.ORDER_CONSUMED, "PREPAY_ORDER_CONSUMED");

            /** 已退款 */
            put(OrderStatusType.ORDER_REFUNDED, "PREPAY_ORDER_REFUNDED");
        }

        private static final long serialVersionUID = -6074224384596465754L;
    };

    /**
     * 证件类型 - String 映射
     */
    public static Map<CredentialsType, String> credentialsTypeStringMap = new HashMap<CredentialsType, String>() {
        {
            put(CredentialsType.ID_CARD, "ID_CARD");
            put(CredentialsType.HUZHAO, "HUZHAO");
            put(CredentialsType.TAIBAO, "TAIBAO");
            put(CredentialsType.GANGAO, "GANGAO");
            put(CredentialsType.OFFICER, "OTHER");
            put(CredentialsType.OTHER, "OTHER");
            put(CredentialsType.GUIYI, "GUIYI");
            put(CredentialsType.STUDENT, "OTHER");
        }

        private static final long serialVersionUID = -4521723122855266147L;
    };
}
