package com.ectrip.cyt.utils;

import org.apache.commons.codec.binary.Base64;
import org.apache.commons.lang3.StringUtils;
import org.bouncycastle.jce.provider.BouncyCastleProvider;
import org.bouncycastle.util.encoders.Hex;

import javax.crypto.KeyGenerator;
import java.security.SecureRandom;

public class SecurityTools {
    /**
     * 根据位数 自动生成密钥
     *
     * @return
     * @explain
     */
    public static String generateKey(String securityType) throws Exception {
        if(StringUtils.isBlank(securityType)){
            return "";
        }else if(securityType.equals(OtaUtils.SECURITY_AES_CBC)){
            return AesTools.generateKey();
        }else if(securityType.equals(OtaUtils.SECURITY_SM4_CBC)){
            return SM4Tools.generateKey();
        }
        return "";
    }

    public static String generatorIv(){
        // Generate a random IV
        SecureRandom random = new SecureRandom();
        byte[] iv = new byte[16]; // AES/CBC/PKCS5Padding requires 16-byte IV
        random.nextBytes(iv);
        // Convert the IV to Base64 for easier handling
        String ivBase64 = Base64.encodeBase64String(iv);
        return ivBase64;
    }

    public static byte[] decodeIv(String ivBase64){
        return Base64.decodeBase64(ivBase64);
    }

    public static void main(String[] args) throws Exception {
        System.out.println(generateKey(OtaUtils.SECURITY_SM4_CBC));
    }
}
